// atomic.go - atomic, no race condition
package main  
import ( "fmt"; "sync"; "sync/atomic")

var number int64
var wg sync.WaitGroup

func update(val int64) {  
    defer wg.Done()
    atomic.AddInt64(&number, val)
}

func main() {  
    wg.Add(100)        
    for i := 0; i < 100; i++ {
        go update(1)
    }
    wg.Wait()
    fmt.Println(number)
}
/*************************************

    $ go run atomic.go
    100

    $ go run -race atomic.go
    100

*/
