// sequential.go - run tasks sequentially
package main
import ("fmt"; "time")

func task(tm int) {
    fmt.Printf("Task %d: working...\n", tm)
    time.Sleep(time.Duration(tm) * time.Second)
}

func main() {
    for n := 1; n <= 4; n++ {
        task(n)
        fmt.Printf("Task %d: done\n", n)
    }
}

/*************************************

    $ time go run sequential.go
    Task 1: working...
    Task 1: done
    Task 2: working...
    Task 2: done
    Task 3: working...
    Task 3: done
    Task 4: working...
    Task 4: done

    real    0m10.013s
    user    0m0.002s
    sys     0m0.006s

*/
